Role Playing Database (API Documentation) 3.1.3

Classes | Functions | Variables
RolePlayingDB3 Namespace Reference
RPGSupport

## Classes
class | chroot_chooseDirectory
class | chroot_getFile
class | Graphic
class | LabeledDirTree
class | LabeledScrolledText
class | LevelEditor
class | MapEditor
class | PrintDialog
class | ScrolledCanvas
class | ScrolledList
class | SheetEdit
class | SpaceEditor
class | Template
class | XMLContentEditor

## Functions
| MapBundleMountPoint ()
| MapEditorOption ()
| LevelEditorOption ()
| LevelDirOption ()
| SpaceFileOption ()
| OpenFilename (optionspec="-openfilename openFilename OpenFilename")
| SaveFilename (optionspec="-savefilename saveFilename SaveFilename")
| GeneratePrintDialog (nameprefix, additionalcomps, createbody)

## Variables
| RolePlayingDB3

## Detailed Description

Contains all utility code specific to the RolePlayingDB3 system.

## Function Documentation

## ◆ GeneratePrintDialog()

RolePlayingDB3::GeneratePrintDialog | ( | nameprefix | ,
|  | additionalcomps | ,
|  | createbody |
| ) |  |

Macro to generate code to create a print dialog.

Parameters

  nameprefix | Dialog name prefix
  additionalcomps | Additional components
  createbody | Additional dialog create body.

## ◆ LevelDirOption()

RolePlayingDB3::LevelDirOption | ( |  | ) |

Macro to add the -leveldir option

## ◆ LevelEditorOption()

RolePlayingDB3::LevelEditorOption | ( |  | ) |

Macro to add the -leveleditor option

## ◆ MapBundleMountPoint()

RolePlayingDB3::MapBundleMountPoint | ( |  | ) |

Macro to add the -mapbundlemountpoint option.

## ◆ MapEditorOption()

RolePlayingDB3::MapEditorOption | ( |  | ) |

Macro to add the -mapeditor option.

## ◆ OpenFilename()

RolePlayingDB3::OpenFilename | ( | optionspec | = `"-openfilename openFilename OpenFilename"` | ) |

Macro to add a readonly file option.

Parameters

  optionspec | The option spec.

## ◆ SaveFilename()

RolePlayingDB3::SaveFilename | ( | optionspec | = `"-savefilename saveFilename SaveFilename"` | ) |

Macro to add a read/write file option.

Parameters

  optionspec | The option spec.

## ◆ SpaceFileOption()

RolePlayingDB3::SpaceFileOption | ( |  | ) |

Macro to add -spacefile option.